import { css as Nr, LitElement as Vr, html as kt } from "lit";
import { property as ze, customElement as Ur } from "lit/decorators.js";
import { classMap as Wr } from "lit/directives/class-map.js";
import { when as Yr } from "lit/directives/when.js";
/**
 * @license
 * Copyright 2018 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
const zr = /* @__PURE__ */ new Set(["children", "localName", "ref", "style", "className"]), Tt = /* @__PURE__ */ new WeakMap(), Pt = (m, s, F, $, j) => {
  const x = j == null ? void 0 : j[s];
  x === void 0 ? (m[s] = F, F == null && s in HTMLElement.prototype && m.removeAttribute(s)) : F !== $ && ((I, M, N) => {
    let D = Tt.get(I);
    D === void 0 && Tt.set(I, D = /* @__PURE__ */ new Map());
    let k = D.get(M);
    N !== void 0 ? k === void 0 ? (D.set(M, k = { handleEvent: N }), I.addEventListener(M, k)) : k.handleEvent = N : k !== void 0 && (D.delete(M), I.removeEventListener(M, k));
  })(m, x, F);
}, Br = ({ react: m, tagName: s, elementClass: F, events: $, displayName: j }) => {
  const x = new Set(Object.keys($ ?? {})), I = m.forwardRef((M, N) => {
    const D = m.useRef(/* @__PURE__ */ new Map()), k = m.useRef(null), Y = {}, q = {};
    for (const [g, T] of Object.entries(M))
      zr.has(g) ? Y[g === "className" ? "class" : g] = T : x.has(g) || g in F.prototype ? q[g] = T : Y[g] = T;
    return m.useLayoutEffect(() => {
      if (k.current === null)
        return;
      const g = /* @__PURE__ */ new Map();
      for (const T in q)
        Pt(k.current, T, M[T], D.current.get(T), $), D.current.delete(T), g.set(T, M[T]);
      for (const [T, ee] of D.current)
        Pt(k.current, T, void 0, ee, $);
      D.current = g;
    }), m.useLayoutEffect(() => {
      var g;
      (g = k.current) == null || g.removeAttribute("defer-hydration");
    }, []), Y.suppressHydrationWarning = !0, m.createElement(s, { ...Y, ref: m.useCallback((g) => {
      k.current = g, typeof N == "function" ? N(g) : N !== null && (N.current = g);
    }, [N]) });
  });
  return I.displayName = j ?? F.name, I;
};
function Hr(m) {
  return m && m.__esModule && Object.prototype.hasOwnProperty.call(m, "default") ? m.default : m;
}
var Ye = { exports: {} }, p = {};
/**
 * @license React
 * react.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var jt;
function qr() {
  if (jt)
    return p;
  jt = 1;
  var m = Symbol.for("react.element"), s = Symbol.for("react.portal"), F = Symbol.for("react.fragment"), $ = Symbol.for("react.strict_mode"), j = Symbol.for("react.profiler"), x = Symbol.for("react.provider"), I = Symbol.for("react.context"), M = Symbol.for("react.forward_ref"), N = Symbol.for("react.suspense"), D = Symbol.for("react.memo"), k = Symbol.for("react.lazy"), Y = Symbol.iterator;
  function q(r) {
    return r === null || typeof r != "object" ? null : (r = Y && r[Y] || r["@@iterator"], typeof r == "function" ? r : null);
  }
  var g = { isMounted: function() {
    return !1;
  }, enqueueForceUpdate: function() {
  }, enqueueReplaceState: function() {
  }, enqueueSetState: function() {
  } }, T = Object.assign, ee = {};
  function B(r, u, d) {
    this.props = r, this.context = u, this.refs = ee, this.updater = d || g;
  }
  B.prototype.isReactComponent = {}, B.prototype.setState = function(r, u) {
    if (typeof r != "object" && typeof r != "function" && r != null)
      throw Error("setState(...): takes an object of state variables to update or a function which returns an object of state variables.");
    this.updater.enqueueSetState(this, r, u, "setState");
  }, B.prototype.forceUpdate = function(r) {
    this.updater.enqueueForceUpdate(this, r, "forceUpdate");
  };
  function pe() {
  }
  pe.prototype = B.prototype;
  function te(r, u, d) {
    this.props = r, this.context = u, this.refs = ee, this.updater = d || g;
  }
  var re = te.prototype = new pe();
  re.constructor = te, T(re, B.prototype), re.isPureReactComponent = !0;
  var H = Array.isArray, A = Object.prototype.hasOwnProperty, W = { current: null }, K = { key: !0, ref: !0, __self: !0, __source: !0 };
  function J(r, u, d) {
    var h, v = {}, _ = null, O = null;
    if (u != null)
      for (h in u.ref !== void 0 && (O = u.ref), u.key !== void 0 && (_ = "" + u.key), u)
        A.call(u, h) && !K.hasOwnProperty(h) && (v[h] = u[h]);
    var E = arguments.length - 2;
    if (E === 1)
      v.children = d;
    else if (1 < E) {
      for (var R = Array(E), V = 0; V < E; V++)
        R[V] = arguments[V + 2];
      v.children = R;
    }
    if (r && r.defaultProps)
      for (h in E = r.defaultProps, E)
        v[h] === void 0 && (v[h] = E[h]);
    return { $$typeof: m, type: r, key: _, ref: O, props: v, _owner: W.current };
  }
  function ve(r, u) {
    return { $$typeof: m, type: r.type, key: u, ref: r.ref, props: r.props, _owner: r._owner };
  }
  function ie(r) {
    return typeof r == "object" && r !== null && r.$$typeof === m;
  }
  function Pe(r) {
    var u = { "=": "=0", ":": "=2" };
    return "$" + r.replace(/[=:]/g, function(d) {
      return u[d];
    });
  }
  var ye = /\/+/g;
  function se(r, u) {
    return typeof r == "object" && r !== null && r.key != null ? Pe("" + r.key) : u.toString(36);
  }
  function ne(r, u, d, h, v) {
    var _ = typeof r;
    (_ === "undefined" || _ === "boolean") && (r = null);
    var O = !1;
    if (r === null)
      O = !0;
    else
      switch (_) {
        case "string":
        case "number":
          O = !0;
          break;
        case "object":
          switch (r.$$typeof) {
            case m:
            case s:
              O = !0;
          }
      }
    if (O)
      return O = r, v = v(O), r = h === "" ? "." + se(O, 0) : h, H(v) ? (d = "", r != null && (d = r.replace(ye, "$&/") + "/"), ne(v, u, d, "", function(V) {
        return V;
      })) : v != null && (ie(v) && (v = ve(v, d + (!v.key || O && O.key === v.key ? "" : ("" + v.key).replace(ye, "$&/") + "/") + r)), u.push(v)), 1;
    if (O = 0, h = h === "" ? "." : h + ":", H(r))
      for (var E = 0; E < r.length; E++) {
        _ = r[E];
        var R = h + se(_, E);
        O += ne(_, u, d, R, v);
      }
    else if (R = q(r), typeof R == "function")
      for (r = R.call(r), E = 0; !(_ = r.next()).done; )
        _ = _.value, R = h + se(_, E++), O += ne(_, u, d, R, v);
    else if (_ === "object")
      throw u = String(r), Error("Objects are not valid as a React child (found: " + (u === "[object Object]" ? "object with keys {" + Object.keys(r).join(", ") + "}" : u) + "). If you meant to render a collection of children, use an array instead.");
    return O;
  }
  function z(r, u, d) {
    if (r == null)
      return r;
    var h = [], v = 0;
    return ne(r, h, "", "", function(_) {
      return u.call(d, _, v++);
    }), h;
  }
  function G(r) {
    if (r._status === -1) {
      var u = r._result;
      u = u(), u.then(function(d) {
        (r._status === 0 || r._status === -1) && (r._status = 1, r._result = d);
      }, function(d) {
        (r._status === 0 || r._status === -1) && (r._status = 2, r._result = d);
      }), r._status === -1 && (r._status = 0, r._result = u);
    }
    if (r._status === 1)
      return r._result.default;
    throw r._result;
  }
  var l = { current: null }, X = { transition: null }, me = { ReactCurrentDispatcher: l, ReactCurrentBatchConfig: X, ReactCurrentOwner: W };
  return p.Children = { map: z, forEach: function(r, u, d) {
    z(r, function() {
      u.apply(this, arguments);
    }, d);
  }, count: function(r) {
    var u = 0;
    return z(r, function() {
      u++;
    }), u;
  }, toArray: function(r) {
    return z(r, function(u) {
      return u;
    }) || [];
  }, only: function(r) {
    if (!ie(r))
      throw Error("React.Children.only expected to receive a single React element child.");
    return r;
  } }, p.Component = B, p.Fragment = F, p.Profiler = j, p.PureComponent = te, p.StrictMode = $, p.Suspense = N, p.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = me, p.cloneElement = function(r, u, d) {
    if (r == null)
      throw Error("React.cloneElement(...): The argument must be a React element, but you passed " + r + ".");
    var h = T({}, r.props), v = r.key, _ = r.ref, O = r._owner;
    if (u != null) {
      if (u.ref !== void 0 && (_ = u.ref, O = W.current), u.key !== void 0 && (v = "" + u.key), r.type && r.type.defaultProps)
        var E = r.type.defaultProps;
      for (R in u)
        A.call(u, R) && !K.hasOwnProperty(R) && (h[R] = u[R] === void 0 && E !== void 0 ? E[R] : u[R]);
    }
    var R = arguments.length - 2;
    if (R === 1)
      h.children = d;
    else if (1 < R) {
      E = Array(R);
      for (var V = 0; V < R; V++)
        E[V] = arguments[V + 2];
      h.children = E;
    }
    return { $$typeof: m, type: r.type, key: v, ref: _, props: h, _owner: O };
  }, p.createContext = function(r) {
    return r = { $$typeof: I, _currentValue: r, _currentValue2: r, _threadCount: 0, Provider: null, Consumer: null, _defaultValue: null, _globalName: null }, r.Provider = { $$typeof: x, _context: r }, r.Consumer = r;
  }, p.createElement = J, p.createFactory = function(r) {
    var u = J.bind(null, r);
    return u.type = r, u;
  }, p.createRef = function() {
    return { current: null };
  }, p.forwardRef = function(r) {
    return { $$typeof: M, render: r };
  }, p.isValidElement = ie, p.lazy = function(r) {
    return { $$typeof: k, _payload: { _status: -1, _result: r }, _init: G };
  }, p.memo = function(r, u) {
    return { $$typeof: D, type: r, compare: u === void 0 ? null : u };
  }, p.startTransition = function(r) {
    var u = X.transition;
    X.transition = {};
    try {
      r();
    } finally {
      X.transition = u;
    }
  }, p.unstable_act = function() {
    throw Error("act(...) is not supported in production builds of React.");
  }, p.useCallback = function(r, u) {
    return l.current.useCallback(r, u);
  }, p.useContext = function(r) {
    return l.current.useContext(r);
  }, p.useDebugValue = function() {
  }, p.useDeferredValue = function(r) {
    return l.current.useDeferredValue(r);
  }, p.useEffect = function(r, u) {
    return l.current.useEffect(r, u);
  }, p.useId = function() {
    return l.current.useId();
  }, p.useImperativeHandle = function(r, u, d) {
    return l.current.useImperativeHandle(r, u, d);
  }, p.useInsertionEffect = function(r, u) {
    return l.current.useInsertionEffect(r, u);
  }, p.useLayoutEffect = function(r, u) {
    return l.current.useLayoutEffect(r, u);
  }, p.useMemo = function(r, u) {
    return l.current.useMemo(r, u);
  }, p.useReducer = function(r, u, d) {
    return l.current.useReducer(r, u, d);
  }, p.useRef = function(r) {
    return l.current.useRef(r);
  }, p.useState = function(r) {
    return l.current.useState(r);
  }, p.useSyncExternalStore = function(r, u, d) {
    return l.current.useSyncExternalStore(r, u, d);
  }, p.useTransition = function() {
    return l.current.useTransition();
  }, p.version = "18.2.0", p;
}
var de = { exports: {} };
/**
 * @license React
 * react.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
de.exports;
var At;
function Kr() {
  return At || (At = 1, function(m, s) {
    process.env.NODE_ENV !== "production" && function() {
      typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ < "u" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart == "function" && __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart(new Error());
      var F = "18.2.0", $ = Symbol.for("react.element"), j = Symbol.for("react.portal"), x = Symbol.for("react.fragment"), I = Symbol.for("react.strict_mode"), M = Symbol.for("react.profiler"), N = Symbol.for("react.provider"), D = Symbol.for("react.context"), k = Symbol.for("react.forward_ref"), Y = Symbol.for("react.suspense"), q = Symbol.for("react.suspense_list"), g = Symbol.for("react.memo"), T = Symbol.for("react.lazy"), ee = Symbol.for("react.offscreen"), B = Symbol.iterator, pe = "@@iterator";
      function te(e) {
        if (e === null || typeof e != "object")
          return null;
        var t = B && e[B] || e[pe];
        return typeof t == "function" ? t : null;
      }
      var re = {
        /**
         * @internal
         * @type {ReactComponent}
         */
        current: null
      }, H = {
        transition: null
      }, A = {
        current: null,
        // Used to reproduce behavior of `batchedUpdates` in legacy mode.
        isBatchingLegacy: !1,
        didScheduleLegacyUpdate: !1
      }, W = {
        /**
         * @internal
         * @type {ReactComponent}
         */
        current: null
      }, K = {}, J = null;
      function ve(e) {
        J = e;
      }
      K.setExtraStackFrame = function(e) {
        J = e;
      }, K.getCurrentStack = null, K.getStackAddendum = function() {
        var e = "";
        J && (e += J);
        var t = K.getCurrentStack;
        return t && (e += t() || ""), e;
      };
      var ie = !1, Pe = !1, ye = !1, se = !1, ne = !1, z = {
        ReactCurrentDispatcher: re,
        ReactCurrentBatchConfig: H,
        ReactCurrentOwner: W
      };
      z.ReactDebugCurrentFrame = K, z.ReactCurrentActQueue = A;
      function G(e) {
        {
          for (var t = arguments.length, n = new Array(t > 1 ? t - 1 : 0), a = 1; a < t; a++)
            n[a - 1] = arguments[a];
          X("warn", e, n);
        }
      }
      function l(e) {
        {
          for (var t = arguments.length, n = new Array(t > 1 ? t - 1 : 0), a = 1; a < t; a++)
            n[a - 1] = arguments[a];
          X("error", e, n);
        }
      }
      function X(e, t, n) {
        {
          var a = z.ReactDebugCurrentFrame, o = a.getStackAddendum();
          o !== "" && (t += "%s", n = n.concat([o]));
          var c = n.map(function(i) {
            return String(i);
          });
          c.unshift("Warning: " + t), Function.prototype.apply.call(console[e], console, c);
        }
      }
      var me = {};
      function r(e, t) {
        {
          var n = e.constructor, a = n && (n.displayName || n.name) || "ReactClass", o = a + "." + t;
          if (me[o])
            return;
          l("Can't call %s on a component that is not yet mounted. This is a no-op, but it might indicate a bug in your application. Instead, assign to `this.state` directly or define a `state = {};` class property with the desired state in the %s component.", t, a), me[o] = !0;
        }
      }
      var u = {
        /**
         * Checks whether or not this composite component is mounted.
         * @param {ReactClass} publicInstance The instance we want to test.
         * @return {boolean} True if mounted, false otherwise.
         * @protected
         * @final
         */
        isMounted: function(e) {
          return !1;
        },
        /**
         * Forces an update. This should only be invoked when it is known with
         * certainty that we are **not** in a DOM transaction.
         *
         * You may want to call this when you know that some deeper aspect of the
         * component's state has changed but `setState` was not called.
         *
         * This will not invoke `shouldComponentUpdate`, but it will invoke
         * `componentWillUpdate` and `componentDidUpdate`.
         *
         * @param {ReactClass} publicInstance The instance that should rerender.
         * @param {?function} callback Called after component is updated.
         * @param {?string} callerName name of the calling function in the public API.
         * @internal
         */
        enqueueForceUpdate: function(e, t, n) {
          r(e, "forceUpdate");
        },
        /**
         * Replaces all of the state. Always use this or `setState` to mutate state.
         * You should treat `this.state` as immutable.
         *
         * There is no guarantee that `this.state` will be immediately updated, so
         * accessing `this.state` after calling this method may return the old value.
         *
         * @param {ReactClass} publicInstance The instance that should rerender.
         * @param {object} completeState Next state.
         * @param {?function} callback Called after component is updated.
         * @param {?string} callerName name of the calling function in the public API.
         * @internal
         */
        enqueueReplaceState: function(e, t, n, a) {
          r(e, "replaceState");
        },
        /**
         * Sets a subset of the state. This only exists because _pendingState is
         * internal. This provides a merging strategy that is not available to deep
         * properties which is confusing. TODO: Expose pendingState or don't use it
         * during the merge.
         *
         * @param {ReactClass} publicInstance The instance that should rerender.
         * @param {object} partialState Next partial state to be merged with state.
         * @param {?function} callback Called after component is updated.
         * @param {?string} Name of the calling function in the public API.
         * @internal
         */
        enqueueSetState: function(e, t, n, a) {
          r(e, "setState");
        }
      }, d = Object.assign, h = {};
      Object.freeze(h);
      function v(e, t, n) {
        this.props = e, this.context = t, this.refs = h, this.updater = n || u;
      }
      v.prototype.isReactComponent = {}, v.prototype.setState = function(e, t) {
        if (typeof e != "object" && typeof e != "function" && e != null)
          throw new Error("setState(...): takes an object of state variables to update or a function which returns an object of state variables.");
        this.updater.enqueueSetState(this, e, t, "setState");
      }, v.prototype.forceUpdate = function(e) {
        this.updater.enqueueForceUpdate(this, e, "forceUpdate");
      };
      {
        var _ = {
          isMounted: ["isMounted", "Instead, make sure to clean up subscriptions and pending requests in componentWillUnmount to prevent memory leaks."],
          replaceState: ["replaceState", "Refactor your code to use setState instead (see https://github.com/facebook/react/issues/3236)."]
        }, O = function(e, t) {
          Object.defineProperty(v.prototype, e, {
            get: function() {
              G("%s(...) is deprecated in plain JavaScript React classes. %s", t[0], t[1]);
            }
          });
        };
        for (var E in _)
          _.hasOwnProperty(E) && O(E, _[E]);
      }
      function R() {
      }
      R.prototype = v.prototype;
      function V(e, t, n) {
        this.props = e, this.context = t, this.refs = h, this.updater = n || u;
      }
      var je = V.prototype = new R();
      je.constructor = V, d(je, v.prototype), je.isPureReactComponent = !0;
      function $t() {
        var e = {
          current: null
        };
        return Object.seal(e), e;
      }
      var It = Array.isArray;
      function he(e) {
        return It(e);
      }
      function Dt(e) {
        {
          var t = typeof Symbol == "function" && Symbol.toStringTag, n = t && e[Symbol.toStringTag] || e.constructor.name || "Object";
          return n;
        }
      }
      function Lt(e) {
        try {
          return Be(e), !1;
        } catch {
          return !0;
        }
      }
      function Be(e) {
        return "" + e;
      }
      function ge(e) {
        if (Lt(e))
          return l("The provided key is an unsupported type %s. This value must be coerced to a string before before using it here.", Dt(e)), Be(e);
      }
      function Ft(e, t, n) {
        var a = e.displayName;
        if (a)
          return a;
        var o = t.displayName || t.name || "";
        return o !== "" ? n + "(" + o + ")" : n;
      }
      function He(e) {
        return e.displayName || "Context";
      }
      function Q(e) {
        if (e == null)
          return null;
        if (typeof e.tag == "number" && l("Received an unexpected object in getComponentNameFromType(). This is likely a bug in React. Please file an issue."), typeof e == "function")
          return e.displayName || e.name || null;
        if (typeof e == "string")
          return e;
        switch (e) {
          case x:
            return "Fragment";
          case j:
            return "Portal";
          case M:
            return "Profiler";
          case I:
            return "StrictMode";
          case Y:
            return "Suspense";
          case q:
            return "SuspenseList";
        }
        if (typeof e == "object")
          switch (e.$$typeof) {
            case D:
              var t = e;
              return He(t) + ".Consumer";
            case N:
              var n = e;
              return He(n._context) + ".Provider";
            case k:
              return Ft(e, e.render, "ForwardRef");
            case g:
              var a = e.displayName || null;
              return a !== null ? a : Q(e.type) || "Memo";
            case T: {
              var o = e, c = o._payload, i = o._init;
              try {
                return Q(i(c));
              } catch {
                return null;
              }
            }
          }
        return null;
      }
      var ce = Object.prototype.hasOwnProperty, qe = {
        key: !0,
        ref: !0,
        __self: !0,
        __source: !0
      }, Ke, Ge, Ae;
      Ae = {};
      function Qe(e) {
        if (ce.call(e, "ref")) {
          var t = Object.getOwnPropertyDescriptor(e, "ref").get;
          if (t && t.isReactWarning)
            return !1;
        }
        return e.ref !== void 0;
      }
      function Je(e) {
        if (ce.call(e, "key")) {
          var t = Object.getOwnPropertyDescriptor(e, "key").get;
          if (t && t.isReactWarning)
            return !1;
        }
        return e.key !== void 0;
      }
      function xt(e, t) {
        var n = function() {
          Ke || (Ke = !0, l("%s: `key` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", t));
        };
        n.isReactWarning = !0, Object.defineProperty(e, "key", {
          get: n,
          configurable: !0
        });
      }
      function Mt(e, t) {
        var n = function() {
          Ge || (Ge = !0, l("%s: `ref` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", t));
        };
        n.isReactWarning = !0, Object.defineProperty(e, "ref", {
          get: n,
          configurable: !0
        });
      }
      function Nt(e) {
        if (typeof e.ref == "string" && W.current && e.__self && W.current.stateNode !== e.__self) {
          var t = Q(W.current.type);
          Ae[t] || (l('Component "%s" contains the string ref "%s". Support for string refs will be removed in a future major release. This case cannot be automatically converted to an arrow function. We ask you to manually fix this case by using useRef() or createRef() instead. Learn more about using refs safely here: https://reactjs.org/link/strict-mode-string-ref', t, e.ref), Ae[t] = !0);
        }
      }
      var $e = function(e, t, n, a, o, c, i) {
        var f = {
          // This tag allows us to uniquely identify this as a React Element
          $$typeof: $,
          // Built-in properties that belong on the element
          type: e,
          key: t,
          ref: n,
          props: i,
          // Record the component responsible for creating this element.
          _owner: c
        };
        return f._store = {}, Object.defineProperty(f._store, "validated", {
          configurable: !1,
          enumerable: !1,
          writable: !0,
          value: !1
        }), Object.defineProperty(f, "_self", {
          configurable: !1,
          enumerable: !1,
          writable: !1,
          value: a
        }), Object.defineProperty(f, "_source", {
          configurable: !1,
          enumerable: !1,
          writable: !1,
          value: o
        }), Object.freeze && (Object.freeze(f.props), Object.freeze(f)), f;
      };
      function Vt(e, t, n) {
        var a, o = {}, c = null, i = null, f = null, y = null;
        if (t != null) {
          Qe(t) && (i = t.ref, Nt(t)), Je(t) && (ge(t.key), c = "" + t.key), f = t.__self === void 0 ? null : t.__self, y = t.__source === void 0 ? null : t.__source;
          for (a in t)
            ce.call(t, a) && !qe.hasOwnProperty(a) && (o[a] = t[a]);
        }
        var b = arguments.length - 2;
        if (b === 1)
          o.children = n;
        else if (b > 1) {
          for (var w = Array(b), C = 0; C < b; C++)
            w[C] = arguments[C + 2];
          Object.freeze && Object.freeze(w), o.children = w;
        }
        if (e && e.defaultProps) {
          var S = e.defaultProps;
          for (a in S)
            o[a] === void 0 && (o[a] = S[a]);
        }
        if (c || i) {
          var P = typeof e == "function" ? e.displayName || e.name || "Unknown" : e;
          c && xt(o, P), i && Mt(o, P);
        }
        return $e(e, c, i, f, y, W.current, o);
      }
      function Ut(e, t) {
        var n = $e(e.type, t, e.ref, e._self, e._source, e._owner, e.props);
        return n;
      }
      function Wt(e, t, n) {
        if (e == null)
          throw new Error("React.cloneElement(...): The argument must be a React element, but you passed " + e + ".");
        var a, o = d({}, e.props), c = e.key, i = e.ref, f = e._self, y = e._source, b = e._owner;
        if (t != null) {
          Qe(t) && (i = t.ref, b = W.current), Je(t) && (ge(t.key), c = "" + t.key);
          var w;
          e.type && e.type.defaultProps && (w = e.type.defaultProps);
          for (a in t)
            ce.call(t, a) && !qe.hasOwnProperty(a) && (t[a] === void 0 && w !== void 0 ? o[a] = w[a] : o[a] = t[a]);
        }
        var C = arguments.length - 2;
        if (C === 1)
          o.children = n;
        else if (C > 1) {
          for (var S = Array(C), P = 0; P < C; P++)
            S[P] = arguments[P + 2];
          o.children = S;
        }
        return $e(e.type, c, i, f, y, b, o);
      }
      function ae(e) {
        return typeof e == "object" && e !== null && e.$$typeof === $;
      }
      var Xe = ".", Yt = ":";
      function zt(e) {
        var t = /[=:]/g, n = {
          "=": "=0",
          ":": "=2"
        }, a = e.replace(t, function(o) {
          return n[o];
        });
        return "$" + a;
      }
      var Ze = !1, Bt = /\/+/g;
      function et(e) {
        return e.replace(Bt, "$&/");
      }
      function Ie(e, t) {
        return typeof e == "object" && e !== null && e.key != null ? (ge(e.key), zt("" + e.key)) : t.toString(36);
      }
      function be(e, t, n, a, o) {
        var c = typeof e;
        (c === "undefined" || c === "boolean") && (e = null);
        var i = !1;
        if (e === null)
          i = !0;
        else
          switch (c) {
            case "string":
            case "number":
              i = !0;
              break;
            case "object":
              switch (e.$$typeof) {
                case $:
                case j:
                  i = !0;
              }
          }
        if (i) {
          var f = e, y = o(f), b = a === "" ? Xe + Ie(f, 0) : a;
          if (he(y)) {
            var w = "";
            b != null && (w = et(b) + "/"), be(y, t, w, "", function(Mr) {
              return Mr;
            });
          } else
            y != null && (ae(y) && (y.key && (!f || f.key !== y.key) && ge(y.key), y = Ut(
              y,
              // Keep both the (mapped) and old keys if they differ, just as
              // traverseAllChildren used to do for objects as children
              n + // $FlowFixMe Flow incorrectly thinks React.Portal doesn't have a key
              (y.key && (!f || f.key !== y.key) ? (
                // $FlowFixMe Flow incorrectly thinks existing element's key can be a number
                // eslint-disable-next-line react-internal/safe-string-coercion
                et("" + y.key) + "/"
              ) : "") + b
            )), t.push(y));
          return 1;
        }
        var C, S, P = 0, L = a === "" ? Xe : a + Yt;
        if (he(e))
          for (var ke = 0; ke < e.length; ke++)
            C = e[ke], S = L + Ie(C, ke), P += be(C, t, n, S, o);
        else {
          var We = te(e);
          if (typeof We == "function") {
            var Ct = e;
            We === Ct.entries && (Ze || G("Using Maps as children is not supported. Use an array of keyed ReactElements instead."), Ze = !0);
            for (var Fr = We.call(Ct), St, xr = 0; !(St = Fr.next()).done; )
              C = St.value, S = L + Ie(C, xr++), P += be(C, t, n, S, o);
          } else if (c === "object") {
            var Ot = String(e);
            throw new Error("Objects are not valid as a React child (found: " + (Ot === "[object Object]" ? "object with keys {" + Object.keys(e).join(", ") + "}" : Ot) + "). If you meant to render a collection of children, use an array instead.");
          }
        }
        return P;
      }
      function _e(e, t, n) {
        if (e == null)
          return e;
        var a = [], o = 0;
        return be(e, a, "", "", function(c) {
          return t.call(n, c, o++);
        }), a;
      }
      function Ht(e) {
        var t = 0;
        return _e(e, function() {
          t++;
        }), t;
      }
      function qt(e, t, n) {
        _e(e, function() {
          t.apply(this, arguments);
        }, n);
      }
      function Kt(e) {
        return _e(e, function(t) {
          return t;
        }) || [];
      }
      function Gt(e) {
        if (!ae(e))
          throw new Error("React.Children.only expected to receive a single React element child.");
        return e;
      }
      function Qt(e) {
        var t = {
          $$typeof: D,
          // As a workaround to support multiple concurrent renderers, we categorize
          // some renderers as primary and others as secondary. We only expect
          // there to be two concurrent renderers at most: React Native (primary) and
          // Fabric (secondary); React DOM (primary) and React ART (secondary).
          // Secondary renderers store their context values on separate fields.
          _currentValue: e,
          _currentValue2: e,
          // Used to track how many concurrent renderers this context currently
          // supports within in a single renderer. Such as parallel server rendering.
          _threadCount: 0,
          // These are circular
          Provider: null,
          Consumer: null,
          // Add these to use same hidden class in VM as ServerContext
          _defaultValue: null,
          _globalName: null
        };
        t.Provider = {
          $$typeof: N,
          _context: t
        };
        var n = !1, a = !1, o = !1;
        {
          var c = {
            $$typeof: D,
            _context: t
          };
          Object.defineProperties(c, {
            Provider: {
              get: function() {
                return a || (a = !0, l("Rendering <Context.Consumer.Provider> is not supported and will be removed in a future major release. Did you mean to render <Context.Provider> instead?")), t.Provider;
              },
              set: function(i) {
                t.Provider = i;
              }
            },
            _currentValue: {
              get: function() {
                return t._currentValue;
              },
              set: function(i) {
                t._currentValue = i;
              }
            },
            _currentValue2: {
              get: function() {
                return t._currentValue2;
              },
              set: function(i) {
                t._currentValue2 = i;
              }
            },
            _threadCount: {
              get: function() {
                return t._threadCount;
              },
              set: function(i) {
                t._threadCount = i;
              }
            },
            Consumer: {
              get: function() {
                return n || (n = !0, l("Rendering <Context.Consumer.Consumer> is not supported and will be removed in a future major release. Did you mean to render <Context.Consumer> instead?")), t.Consumer;
              }
            },
            displayName: {
              get: function() {
                return t.displayName;
              },
              set: function(i) {
                o || (G("Setting `displayName` on Context.Consumer has no effect. You should set it directly on the context with Context.displayName = '%s'.", i), o = !0);
              }
            }
          }), t.Consumer = c;
        }
        return t._currentRenderer = null, t._currentRenderer2 = null, t;
      }
      var le = -1, De = 0, tt = 1, Jt = 2;
      function Xt(e) {
        if (e._status === le) {
          var t = e._result, n = t();
          if (n.then(function(c) {
            if (e._status === De || e._status === le) {
              var i = e;
              i._status = tt, i._result = c;
            }
          }, function(c) {
            if (e._status === De || e._status === le) {
              var i = e;
              i._status = Jt, i._result = c;
            }
          }), e._status === le) {
            var a = e;
            a._status = De, a._result = n;
          }
        }
        if (e._status === tt) {
          var o = e._result;
          return o === void 0 && l(`lazy: Expected the result of a dynamic import() call. Instead received: %s

Your code should look like: 
  const MyComponent = lazy(() => import('./MyComponent'))

Did you accidentally put curly braces around the import?`, o), "default" in o || l(`lazy: Expected the result of a dynamic import() call. Instead received: %s

Your code should look like: 
  const MyComponent = lazy(() => import('./MyComponent'))`, o), o.default;
        } else
          throw e._result;
      }
      function Zt(e) {
        var t = {
          // We use these fields to store the result.
          _status: le,
          _result: e
        }, n = {
          $$typeof: T,
          _payload: t,
          _init: Xt
        };
        {
          var a, o;
          Object.defineProperties(n, {
            defaultProps: {
              configurable: !0,
              get: function() {
                return a;
              },
              set: function(c) {
                l("React.lazy(...): It is not supported to assign `defaultProps` to a lazy component import. Either specify them where the component is defined, or create a wrapping component around it."), a = c, Object.defineProperty(n, "defaultProps", {
                  enumerable: !0
                });
              }
            },
            propTypes: {
              configurable: !0,
              get: function() {
                return o;
              },
              set: function(c) {
                l("React.lazy(...): It is not supported to assign `propTypes` to a lazy component import. Either specify them where the component is defined, or create a wrapping component around it."), o = c, Object.defineProperty(n, "propTypes", {
                  enumerable: !0
                });
              }
            }
          });
        }
        return n;
      }
      function er(e) {
        e != null && e.$$typeof === g ? l("forwardRef requires a render function but received a `memo` component. Instead of forwardRef(memo(...)), use memo(forwardRef(...)).") : typeof e != "function" ? l("forwardRef requires a render function but was given %s.", e === null ? "null" : typeof e) : e.length !== 0 && e.length !== 2 && l("forwardRef render functions accept exactly two parameters: props and ref. %s", e.length === 1 ? "Did you forget to use the ref parameter?" : "Any additional parameter will be undefined."), e != null && (e.defaultProps != null || e.propTypes != null) && l("forwardRef render functions do not support propTypes or defaultProps. Did you accidentally pass a React component?");
        var t = {
          $$typeof: k,
          render: e
        };
        {
          var n;
          Object.defineProperty(t, "displayName", {
            enumerable: !1,
            configurable: !0,
            get: function() {
              return n;
            },
            set: function(a) {
              n = a, !e.name && !e.displayName && (e.displayName = a);
            }
          });
        }
        return t;
      }
      var rt;
      rt = Symbol.for("react.module.reference");
      function nt(e) {
        return !!(typeof e == "string" || typeof e == "function" || e === x || e === M || ne || e === I || e === Y || e === q || se || e === ee || ie || Pe || ye || typeof e == "object" && e !== null && (e.$$typeof === T || e.$$typeof === g || e.$$typeof === N || e.$$typeof === D || e.$$typeof === k || // This needs to include all possible module reference object
        // types supported by any Flight configuration anywhere since
        // we don't know which Flight build this will end up being used
        // with.
        e.$$typeof === rt || e.getModuleId !== void 0));
      }
      function tr(e, t) {
        nt(e) || l("memo: The first argument must be a component. Instead received: %s", e === null ? "null" : typeof e);
        var n = {
          $$typeof: g,
          type: e,
          compare: t === void 0 ? null : t
        };
        {
          var a;
          Object.defineProperty(n, "displayName", {
            enumerable: !1,
            configurable: !0,
            get: function() {
              return a;
            },
            set: function(o) {
              a = o, !e.name && !e.displayName && (e.displayName = o);
            }
          });
        }
        return n;
      }
      function U() {
        var e = re.current;
        return e === null && l(`Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:
1. You might have mismatching versions of React and the renderer (such as React DOM)
2. You might be breaking the Rules of Hooks
3. You might have more than one copy of React in the same app
See https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem.`), e;
      }
      function rr(e) {
        var t = U();
        if (e._context !== void 0) {
          var n = e._context;
          n.Consumer === e ? l("Calling useContext(Context.Consumer) is not supported, may cause bugs, and will be removed in a future major release. Did you mean to call useContext(Context) instead?") : n.Provider === e && l("Calling useContext(Context.Provider) is not supported. Did you mean to call useContext(Context) instead?");
        }
        return t.useContext(e);
      }
      function nr(e) {
        var t = U();
        return t.useState(e);
      }
      function ar(e, t, n) {
        var a = U();
        return a.useReducer(e, t, n);
      }
      function or(e) {
        var t = U();
        return t.useRef(e);
      }
      function ur(e, t) {
        var n = U();
        return n.useEffect(e, t);
      }
      function ir(e, t) {
        var n = U();
        return n.useInsertionEffect(e, t);
      }
      function sr(e, t) {
        var n = U();
        return n.useLayoutEffect(e, t);
      }
      function cr(e, t) {
        var n = U();
        return n.useCallback(e, t);
      }
      function lr(e, t) {
        var n = U();
        return n.useMemo(e, t);
      }
      function fr(e, t, n) {
        var a = U();
        return a.useImperativeHandle(e, t, n);
      }
      function dr(e, t) {
        {
          var n = U();
          return n.useDebugValue(e, t);
        }
      }
      function pr() {
        var e = U();
        return e.useTransition();
      }
      function vr(e) {
        var t = U();
        return t.useDeferredValue(e);
      }
      function yr() {
        var e = U();
        return e.useId();
      }
      function mr(e, t, n) {
        var a = U();
        return a.useSyncExternalStore(e, t, n);
      }
      var fe = 0, at, ot, ut, it, st, ct, lt;
      function ft() {
      }
      ft.__reactDisabledLog = !0;
      function hr() {
        {
          if (fe === 0) {
            at = console.log, ot = console.info, ut = console.warn, it = console.error, st = console.group, ct = console.groupCollapsed, lt = console.groupEnd;
            var e = {
              configurable: !0,
              enumerable: !0,
              value: ft,
              writable: !0
            };
            Object.defineProperties(console, {
              info: e,
              log: e,
              warn: e,
              error: e,
              group: e,
              groupCollapsed: e,
              groupEnd: e
            });
          }
          fe++;
        }
      }
      function gr() {
        {
          if (fe--, fe === 0) {
            var e = {
              configurable: !0,
              enumerable: !0,
              writable: !0
            };
            Object.defineProperties(console, {
              log: d({}, e, {
                value: at
              }),
              info: d({}, e, {
                value: ot
              }),
              warn: d({}, e, {
                value: ut
              }),
              error: d({}, e, {
                value: it
              }),
              group: d({}, e, {
                value: st
              }),
              groupCollapsed: d({}, e, {
                value: ct
              }),
              groupEnd: d({}, e, {
                value: lt
              })
            });
          }
          fe < 0 && l("disabledDepth fell below zero. This is a bug in React. Please file an issue.");
        }
      }
      var Le = z.ReactCurrentDispatcher, Fe;
      function Ee(e, t, n) {
        {
          if (Fe === void 0)
            try {
              throw Error();
            } catch (o) {
              var a = o.stack.trim().match(/\n( *(at )?)/);
              Fe = a && a[1] || "";
            }
          return `
` + Fe + e;
        }
      }
      var xe = !1, Re;
      {
        var br = typeof WeakMap == "function" ? WeakMap : Map;
        Re = new br();
      }
      function dt(e, t) {
        if (!e || xe)
          return "";
        {
          var n = Re.get(e);
          if (n !== void 0)
            return n;
        }
        var a;
        xe = !0;
        var o = Error.prepareStackTrace;
        Error.prepareStackTrace = void 0;
        var c;
        c = Le.current, Le.current = null, hr();
        try {
          if (t) {
            var i = function() {
              throw Error();
            };
            if (Object.defineProperty(i.prototype, "props", {
              set: function() {
                throw Error();
              }
            }), typeof Reflect == "object" && Reflect.construct) {
              try {
                Reflect.construct(i, []);
              } catch (L) {
                a = L;
              }
              Reflect.construct(e, [], i);
            } else {
              try {
                i.call();
              } catch (L) {
                a = L;
              }
              e.call(i.prototype);
            }
          } else {
            try {
              throw Error();
            } catch (L) {
              a = L;
            }
            e();
          }
        } catch (L) {
          if (L && a && typeof L.stack == "string") {
            for (var f = L.stack.split(`
`), y = a.stack.split(`
`), b = f.length - 1, w = y.length - 1; b >= 1 && w >= 0 && f[b] !== y[w]; )
              w--;
            for (; b >= 1 && w >= 0; b--, w--)
              if (f[b] !== y[w]) {
                if (b !== 1 || w !== 1)
                  do
                    if (b--, w--, w < 0 || f[b] !== y[w]) {
                      var C = `
` + f[b].replace(" at new ", " at ");
                      return e.displayName && C.includes("<anonymous>") && (C = C.replace("<anonymous>", e.displayName)), typeof e == "function" && Re.set(e, C), C;
                    }
                  while (b >= 1 && w >= 0);
                break;
              }
          }
        } finally {
          xe = !1, Le.current = c, gr(), Error.prepareStackTrace = o;
        }
        var S = e ? e.displayName || e.name : "", P = S ? Ee(S) : "";
        return typeof e == "function" && Re.set(e, P), P;
      }
      function _r(e, t, n) {
        return dt(e, !1);
      }
      function Er(e) {
        var t = e.prototype;
        return !!(t && t.isReactComponent);
      }
      function we(e, t, n) {
        if (e == null)
          return "";
        if (typeof e == "function")
          return dt(e, Er(e));
        if (typeof e == "string")
          return Ee(e);
        switch (e) {
          case Y:
            return Ee("Suspense");
          case q:
            return Ee("SuspenseList");
        }
        if (typeof e == "object")
          switch (e.$$typeof) {
            case k:
              return _r(e.render);
            case g:
              return we(e.type, t, n);
            case T: {
              var a = e, o = a._payload, c = a._init;
              try {
                return we(c(o), t, n);
              } catch {
              }
            }
          }
        return "";
      }
      var pt = {}, vt = z.ReactDebugCurrentFrame;
      function Ce(e) {
        if (e) {
          var t = e._owner, n = we(e.type, e._source, t ? t.type : null);
          vt.setExtraStackFrame(n);
        } else
          vt.setExtraStackFrame(null);
      }
      function Rr(e, t, n, a, o) {
        {
          var c = Function.call.bind(ce);
          for (var i in e)
            if (c(e, i)) {
              var f = void 0;
              try {
                if (typeof e[i] != "function") {
                  var y = Error((a || "React class") + ": " + n + " type `" + i + "` is invalid; it must be a function, usually from the `prop-types` package, but received `" + typeof e[i] + "`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.");
                  throw y.name = "Invariant Violation", y;
                }
                f = e[i](t, i, a, n, null, "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED");
              } catch (b) {
                f = b;
              }
              f && !(f instanceof Error) && (Ce(o), l("%s: type specification of %s `%s` is invalid; the type checker function must return `null` or an `Error` but returned a %s. You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument).", a || "React class", n, i, typeof f), Ce(null)), f instanceof Error && !(f.message in pt) && (pt[f.message] = !0, Ce(o), l("Failed %s type: %s", n, f.message), Ce(null));
            }
        }
      }
      function oe(e) {
        if (e) {
          var t = e._owner, n = we(e.type, e._source, t ? t.type : null);
          ve(n);
        } else
          ve(null);
      }
      var Me;
      Me = !1;
      function yt() {
        if (W.current) {
          var e = Q(W.current.type);
          if (e)
            return `

Check the render method of \`` + e + "`.";
        }
        return "";
      }
      function wr(e) {
        if (e !== void 0) {
          var t = e.fileName.replace(/^.*[\\\/]/, ""), n = e.lineNumber;
          return `

Check your code at ` + t + ":" + n + ".";
        }
        return "";
      }
      function Cr(e) {
        return e != null ? wr(e.__source) : "";
      }
      var mt = {};
      function Sr(e) {
        var t = yt();
        if (!t) {
          var n = typeof e == "string" ? e : e.displayName || e.name;
          n && (t = `

Check the top-level render call using <` + n + ">.");
        }
        return t;
      }
      function ht(e, t) {
        if (!(!e._store || e._store.validated || e.key != null)) {
          e._store.validated = !0;
          var n = Sr(t);
          if (!mt[n]) {
            mt[n] = !0;
            var a = "";
            e && e._owner && e._owner !== W.current && (a = " It was passed a child from " + Q(e._owner.type) + "."), oe(e), l('Each child in a list should have a unique "key" prop.%s%s See https://reactjs.org/link/warning-keys for more information.', n, a), oe(null);
          }
        }
      }
      function gt(e, t) {
        if (typeof e == "object") {
          if (he(e))
            for (var n = 0; n < e.length; n++) {
              var a = e[n];
              ae(a) && ht(a, t);
            }
          else if (ae(e))
            e._store && (e._store.validated = !0);
          else if (e) {
            var o = te(e);
            if (typeof o == "function" && o !== e.entries)
              for (var c = o.call(e), i; !(i = c.next()).done; )
                ae(i.value) && ht(i.value, t);
          }
        }
      }
      function bt(e) {
        {
          var t = e.type;
          if (t == null || typeof t == "string")
            return;
          var n;
          if (typeof t == "function")
            n = t.propTypes;
          else if (typeof t == "object" && (t.$$typeof === k || // Note: Memo only checks outer props here.
          // Inner props are checked in the reconciler.
          t.$$typeof === g))
            n = t.propTypes;
          else
            return;
          if (n) {
            var a = Q(t);
            Rr(n, e.props, "prop", a, e);
          } else if (t.PropTypes !== void 0 && !Me) {
            Me = !0;
            var o = Q(t);
            l("Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?", o || "Unknown");
          }
          typeof t.getDefaultProps == "function" && !t.getDefaultProps.isReactClassApproved && l("getDefaultProps is only used on classic React.createClass definitions. Use a static property named `defaultProps` instead.");
        }
      }
      function Or(e) {
        {
          for (var t = Object.keys(e.props), n = 0; n < t.length; n++) {
            var a = t[n];
            if (a !== "children" && a !== "key") {
              oe(e), l("Invalid prop `%s` supplied to `React.Fragment`. React.Fragment can only have `key` and `children` props.", a), oe(null);
              break;
            }
          }
          e.ref !== null && (oe(e), l("Invalid attribute `ref` supplied to `React.Fragment`."), oe(null));
        }
      }
      function _t(e, t, n) {
        var a = nt(e);
        if (!a) {
          var o = "";
          (e === void 0 || typeof e == "object" && e !== null && Object.keys(e).length === 0) && (o += " You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports.");
          var c = Cr(t);
          c ? o += c : o += yt();
          var i;
          e === null ? i = "null" : he(e) ? i = "array" : e !== void 0 && e.$$typeof === $ ? (i = "<" + (Q(e.type) || "Unknown") + " />", o = " Did you accidentally export a JSX literal instead of a component?") : i = typeof e, l("React.createElement: type is invalid -- expected a string (for built-in components) or a class/function (for composite components) but got: %s.%s", i, o);
        }
        var f = Vt.apply(this, arguments);
        if (f == null)
          return f;
        if (a)
          for (var y = 2; y < arguments.length; y++)
            gt(arguments[y], e);
        return e === x ? Or(f) : bt(f), f;
      }
      var Et = !1;
      function kr(e) {
        var t = _t.bind(null, e);
        return t.type = e, Et || (Et = !0, G("React.createFactory() is deprecated and will be removed in a future major release. Consider using JSX or use React.createElement() directly instead.")), Object.defineProperty(t, "type", {
          enumerable: !1,
          get: function() {
            return G("Factory.type is deprecated. Access the class directly before passing it to createFactory."), Object.defineProperty(this, "type", {
              value: e
            }), e;
          }
        }), t;
      }
      function Tr(e, t, n) {
        for (var a = Wt.apply(this, arguments), o = 2; o < arguments.length; o++)
          gt(arguments[o], a.type);
        return bt(a), a;
      }
      function Pr(e, t) {
        var n = H.transition;
        H.transition = {};
        var a = H.transition;
        H.transition._updatedFibers = /* @__PURE__ */ new Set();
        try {
          e();
        } finally {
          if (H.transition = n, n === null && a._updatedFibers) {
            var o = a._updatedFibers.size;
            o > 10 && G("Detected a large number of updates inside startTransition. If this is due to a subscription please re-write it to use React provided hooks. Otherwise concurrent mode guarantees are off the table."), a._updatedFibers.clear();
          }
        }
      }
      var Rt = !1, Se = null;
      function jr(e) {
        if (Se === null)
          try {
            var t = ("require" + Math.random()).slice(0, 7), n = m && m[t];
            Se = n.call(m, "timers").setImmediate;
          } catch {
            Se = function(o) {
              Rt === !1 && (Rt = !0, typeof MessageChannel > "u" && l("This browser does not have a MessageChannel implementation, so enqueuing tasks via await act(async () => ...) will fail. Please file an issue at https://github.com/facebook/react/issues if you encounter this warning."));
              var c = new MessageChannel();
              c.port1.onmessage = o, c.port2.postMessage(void 0);
            };
          }
        return Se(e);
      }
      var ue = 0, wt = !1;
      function Ar(e) {
        {
          var t = ue;
          ue++, A.current === null && (A.current = []);
          var n = A.isBatchingLegacy, a;
          try {
            if (A.isBatchingLegacy = !0, a = e(), !n && A.didScheduleLegacyUpdate) {
              var o = A.current;
              o !== null && (A.didScheduleLegacyUpdate = !1, Ue(o));
            }
          } catch (S) {
            throw Oe(t), S;
          } finally {
            A.isBatchingLegacy = n;
          }
          if (a !== null && typeof a == "object" && typeof a.then == "function") {
            var c = a, i = !1, f = {
              then: function(S, P) {
                i = !0, c.then(function(L) {
                  Oe(t), ue === 0 ? Ne(L, S, P) : S(L);
                }, function(L) {
                  Oe(t), P(L);
                });
              }
            };
            return !wt && typeof Promise < "u" && Promise.resolve().then(function() {
            }).then(function() {
              i || (wt = !0, l("You called act(async () => ...) without await. This could lead to unexpected testing behaviour, interleaving multiple act calls and mixing their scopes. You should - await act(async () => ...);"));
            }), f;
          } else {
            var y = a;
            if (Oe(t), ue === 0) {
              var b = A.current;
              b !== null && (Ue(b), A.current = null);
              var w = {
                then: function(S, P) {
                  A.current === null ? (A.current = [], Ne(y, S, P)) : S(y);
                }
              };
              return w;
            } else {
              var C = {
                then: function(S, P) {
                  S(y);
                }
              };
              return C;
            }
          }
        }
      }
      function Oe(e) {
        e !== ue - 1 && l("You seem to have overlapping act() calls, this is not supported. Be sure to await previous act() calls before making a new one. "), ue = e;
      }
      function Ne(e, t, n) {
        {
          var a = A.current;
          if (a !== null)
            try {
              Ue(a), jr(function() {
                a.length === 0 ? (A.current = null, t(e)) : Ne(e, t, n);
              });
            } catch (o) {
              n(o);
            }
          else
            t(e);
        }
      }
      var Ve = !1;
      function Ue(e) {
        if (!Ve) {
          Ve = !0;
          var t = 0;
          try {
            for (; t < e.length; t++) {
              var n = e[t];
              do
                n = n(!0);
              while (n !== null);
            }
            e.length = 0;
          } catch (a) {
            throw e = e.slice(t + 1), a;
          } finally {
            Ve = !1;
          }
        }
      }
      var $r = _t, Ir = Tr, Dr = kr, Lr = {
        map: _e,
        forEach: qt,
        count: Ht,
        toArray: Kt,
        only: Gt
      };
      s.Children = Lr, s.Component = v, s.Fragment = x, s.Profiler = M, s.PureComponent = V, s.StrictMode = I, s.Suspense = Y, s.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = z, s.cloneElement = Ir, s.createContext = Qt, s.createElement = $r, s.createFactory = Dr, s.createRef = $t, s.forwardRef = er, s.isValidElement = ae, s.lazy = Zt, s.memo = tr, s.startTransition = Pr, s.unstable_act = Ar, s.useCallback = cr, s.useContext = rr, s.useDebugValue = dr, s.useDeferredValue = vr, s.useEffect = ur, s.useId = yr, s.useImperativeHandle = fr, s.useInsertionEffect = ir, s.useLayoutEffect = sr, s.useMemo = lr, s.useReducer = ar, s.useRef = or, s.useState = nr, s.useSyncExternalStore = mr, s.useTransition = pr, s.version = F, typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ < "u" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop == "function" && __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop(new Error());
    }();
  }(de, de.exports)), de.exports;
}
process.env.NODE_ENV === "production" ? Ye.exports = qr() : Ye.exports = Kr();
var Gr = Ye.exports;
const Qr = /* @__PURE__ */ Hr(Gr);
var Jr = Object.defineProperty, Xr = Object.getOwnPropertyDescriptor, Te = (m, s, F, $) => {
  for (var j = $ > 1 ? void 0 : $ ? Xr(s, F) : s, x = m.length - 1, I; x >= 0; x--)
    (I = m[x]) && (j = ($ ? I(s, F, j) : I(j)) || j);
  return $ && j && Jr(s, F, j), j;
};
let Z = class extends Vr {
  constructor() {
    super(...arguments), this.title = "Hello, World!", this.opened = !1, this.icon = "";
  }
  onIconClickHandler(m) {
    m.stopPropagation(), this.dispatchEvent(new CustomEvent("icon-click", { bubbles: !0 }));
  }
  render() {
    return kt` <div>
      <div
        class=${Wr({ title: !0, "title-closed": !this.opened })}
        @click=${() => this.opened = !this.opened}
      >
        ${this.title}
        <div class="btn" @click=${this.onIconClickHandler}>${this.icon}</div>
      </div>

      ${Yr(
      this.opened,
      () => kt`<div class="body">
          <slot></slot>
        </div>`
    )}
    </div>`;
  }
};
Z.styles = Nr`
    .title {
      background: black;
      color: white;
      padding: 20px;
      border-top-left-radius: 1rem;
      border-top-right-radius: 1rem;
      display: flex;
      justify-content: space-between;
      align-items: center;
      cursor: pointer;
    }

    .body {
      padding: 20px;
      border: 1px solid black;
    }

    .btn {
      cursor: pointer;
      font-size: 1.2rem;
      font-weight: bold;
    }

    .title-closed {
      border-bottom-left-radius: 1rem;
      border-bottom-right-radius: 1rem;
    }
  `;
Te([
  ze({ type: String })
], Z.prototype, "title", 2);
Te([
  ze({ type: Boolean })
], Z.prototype, "opened", 2);
Te([
  ze({ type: String })
], Z.prototype, "icon", 2);
Z = Te([
  Ur("my-panel-lit")
], Z);
const nn = Br({
  tagName: "task-list",
  elementClass: Z,
  react: Qr
});
export {
  Z as MyPanelLit,
  nn as TaskListElement
};
